<?php
namespace Neklo\Scheduler\Model\Schedule;

class Filters
{
    const FILTER_CLEAR = 'timeline_clear';
    const FILTER = 'timeline_filters';

    /**
     *
     * @var \Magento\Framework\App\RequestInterface
     */
    protected $reguest;

    protected $data = [];

    public function __construct(
        \Magento\Framework\App\RequestInterface $request
    ) {
        $this->request = $request;
        $req = $this->request->getParams();
        if (isset($req[self::FILTER])) {
            $this->data = $req[self::FILTER];
            foreach ($this->data as $name => $filters) {
                if (is_array($filters)) {
                    foreach ($filters as $key => $value) {
                        $this->data[$name][$key] = $value;
                    }
                }
            }
        } else {
            $this->data['scheduled'] = [
                'date_from' => null,
                'date_to' => null//strtotime('+1 day')
            ];
        }
    }

    public function getData()
    {
        return $this->data;
    }


}
